<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
body{
  font-family: Calibri, Helvetica, sans-serif;
  background-color: pink;
}
.container {
    padding: 50px;
  background-color: lightblue;
}

input[type=text], input[type=password], textarea {
  width: 100%;
  padding: 15px;
  margin: 5px 0 22px 0;
  display: inline-block;
  border: none;
  background: #f1f1f1;
}
input[type=text]:focus, input[type=password]:focus {
  background-color: orange;
  outline: none;
}
 div {
            padding: 10px 0;
         }
hr {
  border: 1px solid #f1f1f1;
  margin-bottom: 25px;
}
.registerbtn {
  background-color: #4CAF50;
  color: white;
  padding: 16px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
  opacity: 0.9;
}
.registerbtn:hover {
  opacity: 1;
}



    </style>
</head>
<body>
{% if error %}
<p><strong>Error</strong>: {{error}}</p>
{% endif %}
<form action="register_data" method="post">
    <div class="container">
        <center><h1> Registeration For Knowledge Lens Company</h1></center>
        <hr>
        <label> Firstname </label>
        <input type="text" name="firstname" placeholder="Firstname" size="15" required/>
        <label> Middlename: </label>
        <input type="text" name="middlename" placeholder="Middlename" size="15" required/>
        <label> Lastname: </label>
        <input type="text" name="lastname" placeholder="Lastname" size="15" required/>
        <label>
            Phone :
        </label>
        <input type="text" name="phone" placeholder="phone no." size="10" required>
        <label> User Name</label>
        <input type="text" placeholder="Enter username" name="username" required>

        <label> Password</label>
        <input type="password" placeholder="Enter Password" name="password" required>

        <label><b>Re-type Password</b></label>
        <input type="password" placeholder="Retype Password" name="psw-repeat" required>
        <input type="submit" name="Register" value="Register">
    </div>
</form>
</body>
</html>